﻿// -----------------------------------------------------------------------
// <copyright file="ChannelViewModel.cs" company="M&M">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace XamDataGridSelection.ViewModels
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class ChannelViewModel:ViewModelBase
    {
        
        private string _name;
        private string _description;
        private string _selectedChannelType;
        

        public ChannelViewModel(string name, string descrtiption, string selectedChannelType)
        {
            this._name = name;
            this._description = descrtiption;
            this._selectedChannelType = selectedChannelType;            
        }

        public string Name
        {
            get { return this._name; }
        }

        public string Description
        {
            get { return this._description; }
        }

        public string SelectedChannelType
        {
            get
            {
                return this._selectedChannelType;
            }

            set
            {
                this._selectedChannelType = value;
                OnPropertyChanged("SelectedChannelType");
            }
        }       

        private bool _isChecked = false;
        public bool IsChecked
        {
            get
            {
                return _isChecked;
            }

            set
            {
                _isChecked = value;
                OnPropertyChanged("IsChecked");
            }
        }
    }
}
