﻿// -----------------------------------------------------------------------
// <copyright file="MainWindowViewModel.cs" company="M&M">
// TODO: Update copyright text.
// </copyright>
// -----------------------------------------------------------------------

namespace XamDataGridSelection.ViewModels
{
    using System;
    using System.Collections.Generic;
    using System.Linq;
    using System.Text;
    using System.Collections.ObjectModel;

    /// <summary>
    /// TODO: Update summary.
    /// </summary>
    public class MainWindowViewModel : ViewModelBase
    {
        public MainWindowViewModel()
        {            
            var channels = new ObservableCollection<ChannelViewModel>();
            var channelViewModel1 = new ChannelViewModel("Channel1", "First", "Name");
            channels.Add(channelViewModel1);
            
            var channelViewModel2 = new ChannelViewModel("Channel2", "Second", "Name");
            channels.Add(channelViewModel2);            

            var channelViewModel3 = new ChannelViewModel("A", "1", "WX");
            channels.Add(channelViewModel3);

            var channelViewModel4 = new ChannelViewModel("D", "2", "ZX");
            channels.Add(channelViewModel4);


            var channelViewModel5 = new ChannelViewModel("B", "3", "YX");
            channels.Add(channelViewModel5);

            ChannelViewModels = channels;
        }

        private ObservableCollection<ChannelViewModel> _channelViewModels;

        public ObservableCollection<ChannelViewModel> ChannelViewModels
        {
            get
            {
                return this._channelViewModels;
            }

            set
            {
                _channelViewModels = value;
                OnPropertyChanged("ChannelViewModels");
            }
        }

        public string DescriptionLabel
        {
            get
            {
                return "DescriptionLabel";
            }
        }
    }
}
